commit 8a9a0c6e087c9a83beb7e1af0d7dcb7f494eed36
Author: Ian Barwick <barwick@gmail.com>
Date:   Wed Jun 7 08:51:29 2023 +0900

    doc: update FDW validator function description

diff --git a/doc/src/sgml/fdwhandler.sgml b/doc/src/sgml/fdwhandler.sgml
index ac1717bc3c..6dc3755dd0 100644
--- a/doc/src/sgml/fdwhandler.sgml
+++ b/doc/src/sgml/fdwhandler.sgml
@@ -67,13 +67,16 @@
      foreign tables using the wrapper.
      The validator function must be registered as taking two arguments, a
      text array containing the options to be validated, and an OID
-     representing the type of object the options are associated with (in
-     the form of the OID of the system catalog the object would be stored
-     in, either
-     <literal>ForeignDataWrapperRelationId</literal>,
-     <literal>ForeignServerRelationId</literal>,
-     <literal>UserMappingRelationId</literal>,
-     or <literal>ForeignTableRelationId</literal>).
+     representing the type of object the options are associated with. The
+     latter corresponds to the OID of the system catalog the object
+     would be stored in, one of:
+     <itemizedlist spacing="compact">
+      <listitem><para><literal>ForeignDataWrapperRelationId</literal></para></listitem>
+      <listitem><para><literal>ForeignServerRelationId</literal></para></listitem>
+      <listitem><para><literal>UserMappingRelationId</literal></para></listitem>
+      <listitem><para><literal>ForeignTableRelationId</literal></para></listitem>
+      <listitem><para><literal>AttributeRelationId</literal></para></listitem>
+     </itemizedlist>
      If no validator function is supplied, options are not checked at object
      creation time or object alteration time.
     </para>
